--- linux/arch/i386/kernel/setup.c.orig	2002-10-04 01:02:25.000000000 +0200
+++ linux/arch/i386/kernel/setup.c	2002-10-04 01:03:24.000000000 +0200
@@ -195,7 +195,7 @@
 #define INITRD_START (*(unsigned long *) (PARAM+0x218))
 #define INITRD_SIZE (*(unsigned long *) (PARAM+0x21c))
 #define COMMAND_LINE ((char *) (PARAM+2048))
-#define COMMAND_LINE_SIZE 256
+#define COMMAND_LINE_SIZE 512 /* The boot commandline in Knoppix can get quite long -KK Oct. 2002 */
 
 #define RAMDISK_IMAGE_START_MASK  	0x07FF
 #define RAMDISK_PROMPT_FLAG		0x8000
--- linux/drivers/ide/ide.c.orig	2003-09-05 23:44:34.000000000 +0200
+++ linux/drivers/ide/ide.c	2003-09-05 23:45:40.000000000 +0200
@@ -2232,7 +2232,7 @@
 	ide_scan[ide_scans++]=scan;
 	if(drivers_run)
 	{
-		printk(KERN_ERR "ide: late registration of driver.\n");
+		printk(KERN_WARNING "ide: late registration of driver.\n");
 		scan();
 	}
 }
--- linux/arch/i386/kernel/smpboot.c.orig	2003-10-03 17:29:45.000000000 +0200
+++ linux/arch/i386/kernel/smpboot.c	2003-10-03 17:30:58.000000000 +0200
@@ -1164,7 +1164,7 @@
 
 	Dprintk("Before bogomips.\n");
 	if (!cpucount) {
-		printk(KERN_ERR "Error: only one processor found.\n");
+		printk(KERN_WARNING "Error: only one processor found.\n");
 	} else {
 		unsigned long bogosum = 0;
 		for (cpu = 0; cpu < NR_CPUS; cpu++)
--- linux/Makefile.orig	2003-10-03 17:42:34.000000000 +0200
+++ linux/Makefile	2003-10-03 17:42:51.000000000 +0200
@@ -16,7 +16,7 @@
 HPATH   	= $(TOPDIR)/include
 FINDHPATH	= $(HPATH)/asm $(HPATH)/linux $(HPATH)/scsi $(HPATH)/net $(HPATH)/math-emu
 
-HOSTCC  	= gcc
+HOSTCC  	= gcc-2.95
 HOSTCFLAGS	= -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer
 
 CROSS_COMPILE 	=
@@ -27,7 +27,7 @@
 
 AS		= $(CROSS_COMPILE)as
 LD		= $(CROSS_COMPILE)ld
-CC		= $(CROSS_COMPILE)gcc
+CC		= $(CROSS_COMPILE)gcc-2.95
 CPP		= $(CC) -E
 AR		= $(CROSS_COMPILE)ar
 NM		= $(CROSS_COMPILE)nm
--- linux/init/main.c.orig	2004-02-27 04:30:12.000000000 +0100
+++ linux/init/main.c	2004-02-27 04:34:53.000000000 +0100
@@ -215,7 +215,7 @@
 {
 	if (*str)
 		return 0;
-	console_loglevel = 4;
+	console_loglevel = 1;
 	return 1;
 }
 
